import axipy
from PySide2.QtGui import QIcon

from ru_rubtsov_axioma_topo_tools.ui.DlgFormTopoCorrect import FormTopoCorrect
from ru_rubtsov_axioma_topo_tools.ui.docWidget import AxiDocWidget, addDoc, existDocWidget

mainwindowAxi=axipy.app.mainwindow.qt_object()
form_correct=FormTopoCorrect()
w_doc=AxiDocWidget(form_correct.widget,"CorrectTopo","Исправление тологических ошибок",QIcon(),mainwindowAxi)
list_topo=[]
#list_topo.append({"source":"dbвсезоны","result":"dbвсезоны_topoCheck"})
list_topo.append({"source":"dbвсезоныShp","result":"dbвсезоныShp_topoCheck"})
form_correct.update(list_topo)
addDoc(mainwindowAxi,w_doc)
existDocWidget(mainwindowAxi,w_doc)